Get Routes
curl --request GET \
--url https://api.enterspeed.com/routes/v1 \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.enterspeed.com/routes/v1"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.enterspeed.com/routes/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 16,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": false,
"startCursor": "YmQ2YTY0NTgtZmU1Ny00MDZmLTlkMzgtNGNjMTczYWZmNzg2",
"endCursor": "ZjJlNmY5NWYtOWM3ZS00N2I5LWI0N2ItMGY4M2YxYjMzZjQ1"
},
"results": [
{
"url": "/about-us",
"redirect": null,
"updatedAt": "2021-05-21T10:22:21.262781Z"
}
]
}{
"status": 422,
"message": "first and last is not allowed at the same time (Parameter 'first', 'last')"
}Get all the routes for a specific environment.
GET
/
routes
/
v1
Get Routes
Headers
Api key to validate your environment.
Example:
"environment-1637c4d0-e878-4738-b866-152106a4f88c"
Query Parameters
Get the first of the paginated list, aka. get the list in ascending order.
Example:
100
Get the last of the paginated list, aka. get the list in descending order.
Example:
100
The cursor to get data before, eg. previous page.
The cursor to get data after, eg. next page.
Was this page helpful?
⌘I